Skip to main content
GET
/
payments
/
subscriptions
/
{subscriptionId}
Get Subscription by ID
curl --request GET \
  --url https://services.leadconnectorhq.com/payments/subscriptions/{subscriptionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "_id": "64bf78af39118e4011926cba",
  "altType": "location",
  "altId": "3SwdhCu3svxI8AKsPJt6",
  "createdAt": "2023-11-20T10:23:36.515Z",
  "updatedAt": "2024-01-23T09:57:04.846Z",
  "contactId": "XPLSw2SVagl12LMDeTmQ",
  "contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
  "coupon": "{ _id: \"6374c6926d119a393fe1e556\", usageCount: 5260, altId: \"jVFIxsMY19D94nOSIOEO\", altType: \"location\", name: \"FREE-100%\", code: \"FREE100\", discountType: \"percentage\", discountValue: 100 }",
  "currency": "USD",
  "amount": "100",
  "status": "active",
  "liveMode": "false",
  "entityType": "order",
  "entityId": "62f4db0f3059ecee61379012",
  "entitySource": "{ type: \"funnel\", id: \"lx6ROqruHGVQD2PZwFxK\", subType: \"upsell\", name: \"test funnel\" }",
  "subscriptionId": "I-0UE609H8E43P",
  "subscriptionSnapshot": "{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }",
  "paymentProvider": "{ type: \"paypal\", connectedAccount: { _id: \"64410debdc8f3b0503523abb\", merchantClientId: \"AeXtjrxdgsJiCPwQt5jML5pH-0mwmLs-tH7ub4Uo3IrDKvRl34FvJy8niI6E1wmS_pryIRdNllyVl58b\" } }",
  "ipAddress": "103.100.16.82",
  "meta": "{ collection: \"transactionsv2\", id: \"6320652f0f664b6632006920\" }",
  "markAsTest": "false",
  "schedule": "{ collection: \"transactionsv2\", id: \"6320652f0f664b6632006920\" }",
  "autoPayment": "{ customerId: \"908879612\", paymentMethodId: \"908646635\" }",
  "recurringProduct": "{ locationId: \"Z4Bxl8J4SaPEPLq9IQ8g\", funnel: \"bQHJWKcyjiKjk4BHv91g\", step: \"2281a993-8a75-4b48-9912-571f29c99a74\", name: \"Sofa Set\" }",
  "canceledAt": "2023-11-20T10:23:36.515Z",
  "canceledBy": "qUuXUiB2AiA2DIthEicP",
  "traceId": "302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a",
  "createdBy": "user123"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

subscriptionId
string
required

ID of the subscription that needs to be returned

Example:

"6322e9c9e39fc14ab3ed7042"

Query Parameters

altId
string
required

AltId is the unique identifier e.g: location id.

Example:

"3SwdhCu3svxI8AKsPJt6"

altType
enum<string>
required

AltType is the type of identifier.

Available options:
location
Example:

"location"

Response

Successful response

_id
string
required

The unique identifier for the subscription.

Example:

"64bf78af39118e4011926cba"

altType
object
required

AltType is the type of identifier.

Example:

"location"

altId
string
required

AltId is the unique identifier eg: location id.

Example:

"3SwdhCu3svxI8AKsPJt6"

createdAt
string<date-time>
required

The creation timestamp of the subscription.

Example:

"2023-11-20T10:23:36.515Z"

updatedAt
string<date-time>
required

The last update timestamp of the subscription.

Example:

"2024-01-23T09:57:04.846Z"

contactId
string

Contact id corresponding to the subscription.

Example:

"XPLSw2SVagl12LMDeTmQ"

contactSnapshot
object

Contact details of the subscriber.

Example:

"{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@gohighlevel.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}"

coupon
object

Coupon details of the subscription.

Example:

"{ _id: \"6374c6926d119a393fe1e556\", usageCount: 5260, altId: \"jVFIxsMY19D94nOSIOEO\", altType: \"location\", name: \"FREE-100%\", code: \"FREE100\", discountType: \"percentage\", discountValue: 100 }"

currency
string

Currency in which subscription was made.

Example:

"USD"

amount
number

Subscription value.

Example:

"100"

status
object

Subscription status.

Example:

"active"

liveMode
boolean

Subscription is in live / test mode.

Example:

"false"

entityType
string

Entity type of subscription (eg: order).

Example:

"order"

entityId
string

Entity id for the subscription. e.g: order id

Example:

"62f4db0f3059ecee61379012"

entitySource
object
Example:

"{ type: \"funnel\", id: \"lx6ROqruHGVQD2PZwFxK\", subType: \"upsell\", name: \"test funnel\" }"

subscriptionId
string

Subscription id for subscription.

Example:

"I-0UE609H8E43P"

subscriptionSnapshot
object

Snapshot of subscription.

Example:

"{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }"

paymentProvider
object

Payment provider details for the subscription.

Example:

"{ type: \"paypal\", connectedAccount: { _id: \"64410debdc8f3b0503523abb\", merchantClientId: \"AeXtjrxdgsJiCPwQt5jML5pH-0mwmLs-tH7ub4Uo3IrDKvRl34FvJy8niI6E1wmS_pryIRdNllyVl58b\" } }"

ipAddress
string

Ip address from where subscription was initiated.

Example:

"103.100.16.82"

meta
object

Meta details of the subscription.

Example:

"{ collection: \"transactionsv2\", id: \"6320652f0f664b6632006920\" }"

markAsTest
boolean

Is test subscription.

Example:

"false"

schedule
object
Example:

"{ collection: \"transactionsv2\", id: \"6320652f0f664b6632006920\" }"

autoPayment
object

Auto payment details of the subscription.

Example:

"{ customerId: \"908879612\", paymentMethodId: \"908646635\" }"

recurringProduct
object

Recurring product details of the subscription.

Example:

"{ locationId: \"Z4Bxl8J4SaPEPLq9IQ8g\", funnel: \"bQHJWKcyjiKjk4BHv91g\", step: \"2281a993-8a75-4b48-9912-571f29c99a74\", name: \"Sofa Set\" }"

canceledAt
string<date-time>

Cancellation timestamp of the subscription.

Example:

"2023-11-20T10:23:36.515Z"

canceledBy
string

User id who cancelled the subscription.

Example:

"qUuXUiB2AiA2DIthEicP"

traceId
string

Trace id of the subscription.

Example:

"302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"

createdBy
string

User ID who created the subscription.

Example:

"user123"

Last modified on March 4, 2026